org.gradle.api.tasks.testing

## Enum TestResult.ResultType

- java.lang.Object
- - java.lang.Enum<TestResult.ResultType>
  - - org.gradle.api.tasks.testing.TestResult.ResultType

- All Implemented Interfaces:
    Serializable, Comparable<TestResult.ResultType>
  Enclosing interface:
    TestResult

      public static enum TestResult.ResultType
      extends Enum<TestResult.ResultType>

  The final status of a test.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILURE`
    `SKIPPED`
    `SUCCESS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TestResult.ResultType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TestResult.ResultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final TestResult.ResultType SUCCESS

    - #### FAILURE

          public static final TestResult.ResultType FAILURE

    - #### SKIPPED

          public static final TestResult.ResultType SKIPPED

  - ### Method Detail

    - #### values

          public static TestResult.ResultType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TestResult.ResultType c : TestResult.ResultType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TestResult.ResultType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null